Skip to main content
POST
/
v1
/
users
/
{userId}
/
database-connections
Create a database connection
curl --request POST \
  --url https://wmc.wiremockapi.cloud/v1/users/{userId}/database-connections \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "databaseConnection": {
    "connectionName": "My database connection",
    "databaseType": "POSTGRESQL",
    "host": "my-db.example.com",
    "port": 5432,
    "databaseName": "my-test-data",
    "username": "alice",
    "password": "mysecretpassword"
  }
}
'
import requests

url = "https://wmc.wiremockapi.cloud/v1/users/{userId}/database-connections"

payload = { "databaseConnection": {
"connectionName": "My database connection",
"databaseType": "POSTGRESQL",
"host": "my-db.example.com",
"port": 5432,
"databaseName": "my-test-data",
"username": "alice",
"password": "mysecretpassword"
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
databaseConnection: {
connectionName: 'My database connection',
databaseType: 'POSTGRESQL',
host: 'my-db.example.com',
port: 5432,
databaseName: 'my-test-data',
username: 'alice',
password: 'mysecretpassword'
}
})
};

fetch('https://wmc.wiremockapi.cloud/v1/users/{userId}/database-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "databaseConnection": {
    "id": "abc123",
    "connectionName": "My database connection",
    "databaseType": "POSTGRESQL",
    "host": "my-db.example.com",
    "port": 5432,
    "databaseName": "my-test-data",
    "username": "alice",
    "links": {
      "self": "/v1/data-connections/abc123"
    }
  }
}
{
"errors": [
{
"title": "Invalid query parameter format",
"detail": "The offset parameter value must be a positive integer"
}
]
}
"Credentials are required to access this resource."
{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}
{
"errors": [
{
"title": "Invalid JSON",
"detail": "json pointer /mockApi not present; it is required and must have json type object",
"source": {}
}
]
}

Authorizations

Authorization
string
header
required

Your API key prefixed by 'Token '

Path Parameters

userId
string
required

Body

application/json
databaseConnection
object
required

Response

Success

databaseConnection
object
required